
Installer - Bug #34440

Run the foreman-rake upgrade:run only conditionally

02/11/2022 01:21 PM - Evgeni Golov

Status: Closed   

Priority: Normal   

Assignee: Evgeni Golov   

Category: foreman-installer script   

Target version: 3.1.2   

Difficulty:  Fixed in Releases: 3.1.2, 3.2.0

Triaged: Yes Found in Releases:  

Bugzilla link: 2039289 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-i

nstaller/pull/744,

https://github.com/theforeman/foreman-i

nstaller/pull/745,

https://github.com/theforeman/foreman-i

nstaller/pull/746

  

Description

we have scenarios where foreman-rake upgrade:run should not be executed, because it is run by other automation, let's respect that

Associated revisions

Revision 889105c2 - 02/11/2022 08:12 PM - Evgeni Golov

Fixes #34440 - skip upgrade:run by run_rake_upgrade=false

this allows to override it in certain scenarios

History

#1 - 02/11/2022 01:32 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Evgeni Golov

- Pull request https://github.com/theforeman/foreman-installer/pull/744 added

#2 - 02/11/2022 08:12 PM - The Foreman Bot

- Fixed in Releases 3.3.0 added

#3 - 02/11/2022 09:01 PM - Evgeni Golov

- Status changed from Ready For Testing to Closed

Applied in changeset installer|889105c2ae968d413d88e785f449d99bd6916c0a.

#4 - 02/16/2022 02:16 PM - Ewoud Kohl van Wijngaarden

- Subject changed from run foreman-rake upgrade:run only conditionally

 to run foreman-rake upgrade:run only conditionally

- Category set to foreman-installer script

- Target version set to 3.1.2

- Triaged changed from No to Yes

#5 - 02/16/2022 02:17 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/745 added

#6 - 02/16/2022 02:18 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/746 added
#7 - 02/16/2022 02:37 PM - The Foreman Bot

- Fixed in Releases 3.1.2 added

#8 - 02/16/2022 02:45 PM - The Foreman Bot

- Fixed in Releases 3.2.1 added

#9 - 02/16/2022 02:55 PM - Evgeni Golov

- Fixed in Releases 3.2.0 added

- Fixed in Releases deleted (3.2.1, 3.3.0)

#10 - 05/26/2022 09:58 AM - Amit Upadhye

- Subject changed from run foreman-rake upgrade:run only conditionally to Run the foreman-rake upgrade:run only conditionally
